Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261144 - sys-boot/raincoat: uses -Werror during build (and fails with -Wformat-security)
Summary: sys-boot/raincoat: uses -Werror during build (and fails with -Wformat-security)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: SpanKY
URL: http://blog.flameeyes.eu/2009/02/25/f...
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-03-04 10:46 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-03-08 19:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (raincoat-20051004:20090304-023552.log,1.31 KB, text/plain)
2009-03-06 09:13 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-04 10:46:22 UTC
Hello,

you're receiving this canned bug because the package in summary uses the flag -Werror during build, which transforms warnings in errors, and is prone to break software when new GCC releases are added to Gentoo.

Please make sure your package does not use -Werror during build, so that it can be more future-proof for the new GCC releases.

Thanks,
Diego
Comment 1 Magnus Granberg gentoo-dev 2009-03-06 01:01:00 UTC
Missing the build log
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-06 09:13:26 UTC
Created attachment 184104 [details]
Build log
Comment 3 SpanKY gentoo-dev 2009-03-08 19:25:23 UTC
fixed in raincoat-0.11